# netdata go.d.plugin configuration for ISC dhcpd
#
# This file is in YAML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - GLOBAL
#  - JOBS
#
#
# [ GLOBAL ]
# These variables set the defaults for all JOBs, however each JOB may define its own, overriding the defaults.
#
# The GLOBAL section format:
# param1: value1
# param2: value2
#
# Currently supported global parameters:
#  - update_every
#    Data collection frequency in seconds. Default: 1.
#
#  - autodetection_retry
#    Re-check interval in seconds. Attempts to start the job are made once every interval.
#    Zero means not to schedule re-check. Default: 0.
#
#  - priority
#    Priority is the relative priority of the charts as rendered on the web page,
#    lower numbers make the charts appear before the ones with higher numbers. Default: 70000.
#
#
# [ JOBS ]
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# IMPORTANT:
#  - Parameter 'name' is mandatory.
#  - Jobs with the same name are mutually exclusive. Only one of them will be allowed running at any time.
#
# This allows autodetection to try several alternatives and pick the one that works.
# Any number of jobs is supported.
#
# The JOBS section format:
#
# jobs:
#   - name: job1
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#
#
# [ List of JOB specific parameters ]:
#  - leases_path
#    Absolute path to the DHCP client lease database (dhcpd.leases).
#    Syntax:
#      leases_path: '/path/to/dhcpd.leases'
#
#  - pools
#    List of IP pools to monitor.
#    <IP_RANGE> syntax: https://github.com/netdata/go.d.plugin/tree/master/pkg/iprange#supported-formats
#    Syntax:
#      pools:
#        - name: <POOL_NAME>
#          networks: '<A_SPACE_SEPARATED_LIST_OF_IP_RANGES>'
#        - name: <POOL_NAME>
#          networks: '<A_SPACE_SEPARATED_LIST_OF_IP_RANGES>'
#
#
# [ JOB defaults ]:
#  leases_path: '/var/lib/dhcp/dhcpd.leases'
#
#
# [ JOB mandatory parameters ]:
#  - name
#  - leases_path
#  - pools
#
# ------------------------------------------------MODULE-CONFIGURATION--------------------------------------------------

# update_every: 1
# autodetection_retry: 0
# priority: 70000

#jobs:
# - name: ipv4_example
#   leases_path: '/path/to/dhcpd.leases_ipv4'
#   pools:
#      - name: office
#        networks: '192.0.2.1-192.0.2.254'
#      - name: wifi 
#        networks: '198.51.100.0/24'
#      - name: dmz 
#        networks: '203.0.113.0/255.255.255.0'
#
# - name: ipv6_example
#   leases_path: '/path/to/dhcpd.leases_ipv6'
#   pools:
#      - name: office
#        networks: '2001:db8::/64'
#      - name: wifi 
#        networks: '2001:db8:0:1::/64'
#      - name: dmz 
#        networks: '2001:db8:0:2::/64'
